# frozen_string_literal: true

module AppleSignIn
  class ApiCaller
    include AutoInject[
      :httparty,
      :apple_base_url
    ]

    def post(url, body)
      httparty.post("#{apple_base_url}#{url}", body: body)
    end

    def get(url, body = {})
      httparty.get("#{apple_base_url}#{url}", body: body)
    end
  end
end
